libvisio::VSDStylesCollector Class Reference

`#include <VSDStylesCollector.h>`

Inheritance diagram for libvisio::VSDStylesCollector:

## Public Member Functions

| VSDStylesCollector (std::vector< std::map< unsigned, XForm > > &groupXFormsSequence, std::vector< std::map< unsigned, unsigned > > &groupMembershipsSequence, std::vector< std::list< unsigned > > &documentPageShapeOrders)
| ~VSDStylesCollector () override
void | collectDocumentTheme (const VSDXTheme *) override
void | collectEllipticalArcTo (unsigned id, unsigned level, double x3, double y3, double x2, double y2, double angle, double ecc) override
void | collectForeignData (unsigned level, const librevenge::RVNGBinaryData &binaryData) override
void | collectOLEList (unsigned id, unsigned level) override
void | collectOLEData (unsigned id, unsigned level, const librevenge::RVNGBinaryData &oleData) override
void | collectEllipse (unsigned id, unsigned level, double cx, double cy, double xleft, double yleft, double xtop, double ytop) override

void

collectLine (unsigned level, const std::optional< double > &strokeWidth, const std::optional< Colour > &c, const std::optional< unsigned char > &linePattern, const std::optional< unsigned char > &startMarker, const std::optional< unsigned char > &endMarker, const std::optional< unsigned char > &lineCap, const std::optional< double > &rounding, const std::optional< long > &qsLineColour, const std::optional< long > &qsLineMatrix) override

void

collectFillAndShadow (unsigned level, const std::optional< Colour > &colourFG, const std::optional< Colour > &colourBG, const std::optional< unsigned char > &fillPattern, const std::optional< double > &fillFGTransparency, const std::optional< double > &fillBGTransparency, const std::optional< unsigned char > &shadowPattern, const std::optional< Colour > &shfgc, const std::optional< double > &shadowOffsetX, const std::optional< double > &shadowOffsetY, const std::optional< long > &qsFc, const std::optional< long > &qsSc, const std::optional< long > &qsLm) override

void | collectFillAndShadow (unsigned level, const std::optional< Colour > &colourFG, const std::optional< Colour > &colourBG, const std::optional< unsigned char > &fillPattern, const std::optional< double > &fillFGTransparency, const std::optional< double > &fillBGTransparency, const std::optional< unsigned char > &shadowPattern, const std::optional< Colour > &shfgc) override
void | collectGeometry (unsigned id, unsigned level, bool noFill, bool noLine, bool noShow) override
void | collectMoveTo (unsigned id, unsigned level, double x, double y) override
void | collectLineTo (unsigned id, unsigned level, double x, double y) override
void | collectArcTo (unsigned id, unsigned level, double x2, double y2, double bow) override
void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, unsigned char xType, unsigned char yType, unsigned degree, const std::vector< std::pair< double, double > > &ctrlPnts, const std::vector< double > &kntVec, const std::vector< double > &weights) override
void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, double knot, double knotPrev, double weight, double weightPrev, unsigned dataID) override
void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, double knot, double knotPrev, double weight, double weightPrev, const NURBSData &data) override
void | collectPolylineTo (unsigned id, unsigned level, double x, double y, unsigned char xType, unsigned char yType, const std::vector< std::pair< double, double > > &points) override
void | collectPolylineTo (unsigned id, unsigned level, double x, double y, unsigned dataID) override
void | collectPolylineTo (unsigned id, unsigned level, double x, double y, const PolylineData &data) override
void | collectShapeData (unsigned id, unsigned level, unsigned char xType, unsigned char yType, unsigned degree, double lastKnot, std::vector< std::pair< double, double > > controlPoints, std::vector< double > knotVector, std::vector< double > weights) override
void | collectShapeData (unsigned id, unsigned level, unsigned char xType, unsigned char yType, std::vector< std::pair< double, double > > points) override
void | collectXFormData (unsigned level, const XForm &xform) override
void | collectTxtXForm (unsigned level, const XForm &txtxform) override
void | collectShapesOrder (unsigned id, unsigned level, const std::vector< unsigned > &shapeIds) override
void | collectForeignDataType (unsigned level, unsigned foreignType, unsigned foreignFormat, double offsetX, double offsetY, double width, double height) override
void | collectPageProps (unsigned id, unsigned level, double pageWidth, double pageHeight, double shadowOffsetX, double shadowOffsetY, double scale, unsigned char drawingScaleUnit, const std::optional< unsigned > variationColorIndex, const std::optional< unsigned > variationStyleIndex) override
void | collectPage (unsigned id, unsigned level, unsigned backgroundPageID, bool isBackgroundPage, const VSDName &pageName) override
void | collectShape (unsigned id, unsigned level, unsigned parent, unsigned masterPage, unsigned masterShape, unsigned lineStyle, unsigned fillStyle, unsigned textStyle, const VSDName &aShapeType) override
void | collectSplineStart (unsigned id, unsigned level, double x, double y, double secondKnot, double firstKnot, double lastKnot, unsigned degree) override
void | collectSplineKnot (unsigned id, unsigned level, double x, double y, double knot) override
void | collectSplineEnd () override
void | collectInfiniteLine (unsigned id, unsigned level, double x1, double y1, double x2, double y2) override
void | collectRelCubBezTo (unsigned id, unsigned level, double x, double y, double a, double b, double c, double d) override
void | collectRelEllipticalArcTo (unsigned id, unsigned level, double x, double y, double a, double b, double c, double d) override
void | collectRelLineTo (unsigned id, unsigned level, double x, double y) override
void | collectRelMoveTo (unsigned id, unsigned level, double x, double y) override
void | collectRelQuadBezTo (unsigned id, unsigned level, double x, double y, double a, double b) override
void | collectUnhandledChunk (unsigned id, unsigned level) override
void | collectText (unsigned level, const librevenge::RVNGBinaryData &textStream, TextFormat format) override

void

collectCharIX (unsigned id, unsigned level, unsigned charCount, const std::optional< VSDName > &font, const std::optional< Colour > &fontColour, const std::optional< double > &fontSize, const std::optional< bool > &bold, const std::optional< bool > &italic, const std::optional< bool > &underline, const std::optional< bool > &doubleunderline, const std::optional< bool > &strikeout, const std::optional< bool > &doublestrikeout, const std::optional< bool > &allcaps, const std::optional< bool > &initcaps, const std::optional< bool > &smallcaps, const std::optional< bool > &superscript, const std::optional< bool > &subscript, const std::optional< double > &scaleWidth) override

void

collectDefaultCharStyle (unsigned charCount, const std::optional< VSDName > &font, const std::optional< Colour > &fontColour, const std::optional< double > &fontSize, const std::optional< bool > &bold, const std::optional< bool > &italic, const std::optional< bool > &underline, const std::optional< bool > &doubleunderline, const std::optional< bool > &strikeout, const std::optional< bool > &doublestrikeout, const std::optional< bool > &allcaps, const std::optional< bool > &initcaps, const std::optional< bool > &smallcaps, const std::optional< bool > &superscript, const std::optional< bool > &subscript, const std::optional< double > &scaleWidth) override

void

collectParaIX (unsigned id, unsigned level, unsigned charCount, const std::optional< double > &indFirst, const std::optional< double > &indLeft, const std::optional< double > &indRight, const std::optional< double > &spLine, const std::optional< double > &spBefore, const std::optional< double > &spAfter, const std::optional< unsigned char > &align, const std::optional< unsigned char > &bullet, const std::optional< VSDName > &bulletStr, const std::optional< VSDName > &bulletFont, const std::optional< double > &bulletFontSize, const std::optional< double > &textPosAfterBullet, const std::optional< unsigned > &flags) override

void

collectDefaultParaStyle (unsigned charCount, const std::optional< double > &indFirst, const std::optional< double > &indLeft, const std::optional< double > &indRight, const std::optional< double > &spLine, const std::optional< double > &spBefore, const std::optional< double > &spAfter, const std::optional< unsigned char > &align, const std::optional< unsigned char > &bullet, const std::optional< VSDName > &bulletStr, const std::optional< VSDName > &bulletFont, const std::optional< double > &bulletFontSize, const std::optional< double > &textPosAfterBullet, const std::optional< unsigned > &flags) override

void

collectTextBlock (unsigned level, const std::optional< double > &leftMargin, const std::optional< double > &rightMargin, const std::optional< double > &topMargin, const std::optional< double > &bottomMargin, const std::optional< unsigned char > &verticalAlign, const std::optional< bool > &isBgFilled, const std::optional< Colour > &bgColour, const std::optional< double > &defaultTabStop, const std::optional< unsigned char > &textDirection) override

void | collectNameList (unsigned id, unsigned level) override
void | collectName (unsigned id, unsigned level, const librevenge::RVNGBinaryData &name, TextFormat format) override
void | collectPageSheet (unsigned id, unsigned level) override
void | collectMisc (unsigned level, const VSDMisc &misc) override
void | collectLayer (unsigned id, unsigned level, const VSDLayer &layer) override
void | collectLayerMem (unsigned level, const VSDName &layerMem) override
void | collectTabsDataList (unsigned level, const std::map< unsigned, VSDTabSet > &tabSets) override
void | collectStyleSheet (unsigned id, unsigned level, unsigned parentLineStyle, unsigned parentFillStyle, unsigned parentTextStyle) override

void

collectLineStyle (unsigned level, const std::optional< double > &strokeWidth, const std::optional< Colour > &c, const std::optional< unsigned char > &linePattern, const std::optional< unsigned char > &startMarker, const std::optional< unsigned char > &endMarker, const std::optional< unsigned char > &lineCap, const std::optional< double > &rounding, const std::optional< long > &qsLineColour, const std::optional< long > &qsLineMatrix) override

void

collectFillStyle (unsigned level, const std::optional< Colour > &colourFG, const std::optional< Colour > &colourBG, const std::optional< unsigned char > &fillPattern, const std::optional< double > &fillFGTransparency, const std::optional< double > &fillBGTransparency, const std::optional< unsigned char > &shadowPattern, const std::optional< Colour > &shfgc, const std::optional< double > &shadowOffsetX, const std::optional< double > &shadowOffsetY, const std::optional< long > &qsFillColour, const std::optional< long > &qsShadowColour, const std::optional< long > &qsFillMatrix) override

void | collectFillStyle (unsigned level, const std::optional< Colour > &colourFG, const std::optional< Colour > &colourBG, const std::optional< unsigned char > &fillPattern, const std::optional< double > &fillFGTransparency, const std::optional< double > &fillBGTransparency, const std::optional< unsigned char > &shadowPattern, const std::optional< Colour > &shfgc) override

void

collectCharIXStyle (unsigned id, unsigned level, unsigned charCount, const std::optional< VSDName > &font, const std::optional< Colour > &fontColour, const std::optional< double > &fontSize, const std::optional< bool > &bold, const std::optional< bool > &italic, const std::optional< bool > &underline, const std::optional< bool > &doubleunderline, const std::optional< bool > &strikeout, const std::optional< bool > &doublestrikeout, const std::optional< bool > &allcaps, const std::optional< bool > &initcaps, const std::optional< bool > &smallcaps, const std::optional< bool > &superscript, const std::optional< bool > &subscript, const std::optional< double > &scaleWidth) override

void

collectParaIXStyle (unsigned id, unsigned level, unsigned charCount, const std::optional< double > &indFirst, const std::optional< double > &indLeft, const std::optional< double > &indRight, const std::optional< double > &spLine, const std::optional< double > &spBefore, const std::optional< double > &spAfter, const std::optional< unsigned char > &align, const std::optional< unsigned char > &bullet, const std::optional< VSDName > &bulletStr, const std::optional< VSDName > &bulletFont, const std::optional< double > &bulletFontSize, const std::optional< double > &textPosAfterBullet, const std::optional< unsigned > &flags) override

void

collectTextBlockStyle (unsigned level, const std::optional< double > &leftMargin, const std::optional< double > &rightMargin, const std::optional< double > &topMargin, const std::optional< double > &bottomMargin, const std::optional< unsigned char > &verticalAlign, const std::optional< bool > &isBgFilled, const std::optional< Colour > &bgColour, const std::optional< double > &defaultTabStop, const std::optional< unsigned char > &textDirection) override

void | collectFieldList (unsigned id, unsigned level) override
void | collectTextField (unsigned id, unsigned level, int nameId, int formatStringId) override
void | collectNumericField (unsigned id, unsigned level, unsigned short format, unsigned short cellType, double number, int formatStringId) override
void | collectMetaData (const librevenge::RVNGPropertyList &) override
void | startPage (unsigned pageID) override
void | endPage () override
void | endPages () override
const VSDStyles & | getStyleSheets () const
const std::optional< unsigned > & | getvariationColorIndex () const
const std::optional< unsigned > & | getvariationStyleIndex () const
Public Member Functions inherited from libvisio::VSDCollector
| VSDCollector ()
virtual | ~VSDCollector ()

## Private Member Functions

| VSDStylesCollector (const VSDStylesCollector &)
VSDStylesCollector & | operator= (const VSDStylesCollector &)
void | _handleLevelChange (unsigned level)
void | _flushShapeList ()

## Private Attributes

unsigned | m_currentLevel
bool | m_isShapeStarted
double | m_shadowOffsetX
double | m_shadowOffsetY
unsigned | m_currentShapeId
std::map< unsigned, XForm > | m_groupXForms
std::map< unsigned, unsigned > | m_groupMemberships
std::vector< std::map< unsigned, XForm > > & | m_groupXFormsSequence
std::vector< std::map< unsigned, unsigned > > & | m_groupMembershipsSequence
std::list< unsigned > | m_pageShapeOrder
std::vector< std::list< unsigned > > & | m_documentPageShapeOrders
std::map< unsigned, std::list< unsigned > > | m_groupShapeOrder
std::list< unsigned > | m_shapeList
unsigned | m_currentStyleSheet
VSDStyles | m_styles
std::optional< unsigned > | m_variationColorIndex
std::optional< unsigned > | m_variationStyleIndex
unsigned | m_currentShapeLevel

## Constructor & Destructor Documentation

## VSDStylesCollector() [1/2]

libvisio::VSDStylesCollector::VSDStylesCollector | ( | std::vector< std::map< unsigned, XForm > > & | groupXFormsSequence,
|  | std::vector< std::map< unsigned, unsigned > > & | groupMembershipsSequence,
|  | std::vector< std::list< unsigned > > & | documentPageShapeOrders )

Referenced by operator=(), and VSDStylesCollector().

## ~VSDStylesCollector()

libvisio::VSDStylesCollector::~VSDStylesCollector | ( |  | ) |

inline override

## VSDStylesCollector() [2/2]

libvisio::VSDStylesCollector::VSDStylesCollector | ( | const VSDStylesCollector & |  | ) |

private

## Member Function Documentation

## _flushShapeList()

void libvisio::VSDStylesCollector::_flushShapeList | ( |  | ) |

private

Referenced by collectShapesOrder().

## _handleLevelChange()

void libvisio::VSDStylesCollector::_handleLevelChange | ( | unsigned | level | ) |

private

Referenced by collectArcTo(), collectCharIX(), collectCharIXStyle(), collectEllipse(), collectEllipticalArcTo(), collectFieldList(), collectFillAndShadow(), collectFillAndShadow(), collectFillStyle(), collectFillStyle(), collectForeignData(), collectForeignDataType(), collectGeometry(), collectInfiniteLine(), collectLayer(), collectLayerMem(), collectLine(), collectLineStyle(), collectLineTo(), collectMisc(), collectMoveTo(), collectName(), collectNumericField(), collectNURBSTo(), collectNURBSTo(), collectNURBSTo(), collectOLEData(), collectPage(), collectPageProps(), collectPageSheet(), collectParaIX(), collectParaIXStyle(), collectPolylineTo(), collectPolylineTo(), collectPolylineTo(), collectRelCubBezTo(), collectRelEllipticalArcTo(), collectRelLineTo(), collectRelMoveTo(), collectRelQuadBezTo(), collectShape(), collectShapeData(), collectShapeData(), collectShapesOrder(), collectSplineKnot(), collectSplineStart(), collectStyleSheet(), collectTabsDataList(), collectText(), collectTextBlock(), collectTextBlockStyle(), collectTextField(), collectTxtXForm(), collectUnhandledChunk(), collectXFormData(), and endPage().

## collectArcTo()

void libvisio::VSDStylesCollector::collectArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | bow )

override virtual

Implements libvisio::VSDCollector.

## collectCharIX()

void libvisio::VSDStylesCollector::collectCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< VSDName > & | font,
|  | const std::optional< Colour > & | fontColour,
|  | const std::optional< double > & | fontSize,
|  | const std::optional< bool > & | bold,
|  | const std::optional< bool > & | italic,
|  | const std::optional< bool > & | underline,
|  | const std::optional< bool > & | doubleunderline,
|  | const std::optional< bool > & | strikeout,
|  | const std::optional< bool > & | doublestrikeout,
|  | const std::optional< bool > & | allcaps,
|  | const std::optional< bool > & | initcaps,
|  | const std::optional< bool > & | smallcaps,
|  | const std::optional< bool > & | superscript,
|  | const std::optional< bool > & | subscript,
|  | const std::optional< double > & | scaleWidth )

override virtual

Implements libvisio::VSDCollector.

## collectCharIXStyle()

void libvisio::VSDStylesCollector::collectCharIXStyle | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< VSDName > & | font,
|  | const std::optional< Colour > & | fontColour,
|  | const std::optional< double > & | fontSize,
|  | const std::optional< bool > & | bold,
|  | const std::optional< bool > & | italic,
|  | const std::optional< bool > & | underline,
|  | const std::optional< bool > & | doubleunderline,
|  | const std::optional< bool > & | strikeout,
|  | const std::optional< bool > & | doublestrikeout,
|  | const std::optional< bool > & | allcaps,
|  | const std::optional< bool > & | initcaps,
|  | const std::optional< bool > & | smallcaps,
|  | const std::optional< bool > & | superscript,
|  | const std::optional< bool > & | subscript,
|  | const std::optional< double > & | scaleWidth )

override virtual

Implements libvisio::VSDCollector.

## collectDefaultCharStyle()

void libvisio::VSDStylesCollector::collectDefaultCharStyle | ( | unsigned | charCount,
|  | const std::optional< VSDName > & | font,
|  | const std::optional< Colour > & | fontColour,
|  | const std::optional< double > & | fontSize,
|  | const std::optional< bool > & | bold,
|  | const std::optional< bool > & | italic,
|  | const std::optional< bool > & | underline,
|  | const std::optional< bool > & | doubleunderline,
|  | const std::optional< bool > & | strikeout,
|  | const std::optional< bool > & | doublestrikeout,
|  | const std::optional< bool > & | allcaps,
|  | const std::optional< bool > & | initcaps,
|  | const std::optional< bool > & | smallcaps,
|  | const std::optional< bool > & | superscript,
|  | const std::optional< bool > & | subscript,
|  | const std::optional< double > & | scaleWidth )

override virtual

Implements libvisio::VSDCollector.

## collectDefaultParaStyle()

void libvisio::VSDStylesCollector::collectDefaultParaStyle | ( | unsigned | charCount,
|  | const std::optional< double > & | indFirst,
|  | const std::optional< double > & | indLeft,
|  | const std::optional< double > & | indRight,
|  | const std::optional< double > & | spLine,
|  | const std::optional< double > & | spBefore,
|  | const std::optional< double > & | spAfter,
|  | const std::optional< unsigned char > & | align,
|  | const std::optional< unsigned char > & | bullet,
|  | const std::optional< VSDName > & | bulletStr,
|  | const std::optional< VSDName > & | bulletFont,
|  | const std::optional< double > & | bulletFontSize,
|  | const std::optional< double > & | textPosAfterBullet,
|  | const std::optional< unsigned > & | flags )

override virtual

Implements libvisio::VSDCollector.

## collectDocumentTheme()

void libvisio::VSDStylesCollector::collectDocumentTheme | ( | const VSDXTheme * |  | ) |

inline override virtual

Implements libvisio::VSDCollector.

## collectEllipse()

void libvisio::VSDStylesCollector::collectEllipse | ( | unsigned | id,
|  | unsigned | level,
|  | double | cx,
|  | double | cy,
|  | double | xleft,
|  | double | yleft,
|  | double | xtop,
|  | double | ytop )

override virtual

Implements libvisio::VSDCollector.

## collectEllipticalArcTo()

void libvisio::VSDStylesCollector::collectEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x3,
|  | double | y3,
|  | double | x2,
|  | double | y2,
|  | double | angle,
|  | double | ecc )

override virtual

Implements libvisio::VSDCollector.

## collectFieldList()

void libvisio::VSDStylesCollector::collectFieldList | ( | unsigned | id,
|  | unsigned | level )

override virtual

Implements libvisio::VSDCollector.

## collectFillAndShadow() [1/2]

void libvisio::VSDStylesCollector::collectFillAndShadow | ( | unsigned | level,
|  | const std::optional< Colour > & | colourFG,
|  | const std::optional< Colour > & | colourBG,
|  | const std::optional< unsigned char > & | fillPattern,
|  | const std::optional< double > & | fillFGTransparency,
|  | const std::optional< double > & | fillBGTransparency,
|  | const std::optional< unsigned char > & | shadowPattern,
|  | const std::optional< Colour > & | shfgc )

override virtual

Implements libvisio::VSDCollector.

## collectFillAndShadow() [2/2]

void libvisio::VSDStylesCollector::collectFillAndShadow | ( | unsigned | level,
|  | const std::optional< Colour > & | colourFG,
|  | const std::optional< Colour > & | colourBG,
|  | const std::optional< unsigned char > & | fillPattern,
|  | const std::optional< double > & | fillFGTransparency,
|  | const std::optional< double > & | fillBGTransparency,
|  | const std::optional< unsigned char > & | shadowPattern,
|  | const std::optional< Colour > & | shfgc,
|  | const std::optional< double > & | shadowOffsetX,
|  | const std::optional< double > & | shadowOffsetY,
|  | const std::optional< long > & | qsFc,
|  | const std::optional< long > & | qsSc,
|  | const std::optional< long > & | qsLm )

override virtual

Implements libvisio::VSDCollector.

## collectFillStyle() [1/2]

void libvisio::VSDStylesCollector::collectFillStyle | ( | unsigned | level,
|  | const std::optional< Colour > & | colourFG,
|  | const std::optional< Colour > & | colourBG,
|  | const std::optional< unsigned char > & | fillPattern,
|  | const std::optional< double > & | fillFGTransparency,
|  | const std::optional< double > & | fillBGTransparency,
|  | const std::optional< unsigned char > & | shadowPattern,
|  | const std::optional< Colour > & | shfgc )

override virtual

Implements libvisio::VSDCollector.

## collectFillStyle() [2/2]

void libvisio::VSDStylesCollector::collectFillStyle | ( | unsigned | level,
|  | const std::optional< Colour > & | colourFG,
|  | const std::optional< Colour > & | colourBG,
|  | const std::optional< unsigned char > & | fillPattern,
|  | const std::optional< double > & | fillFGTransparency,
|  | const std::optional< double > & | fillBGTransparency,
|  | const std::optional< unsigned char > & | shadowPattern,
|  | const std::optional< Colour > & | shfgc,
|  | const std::optional< double > & | shadowOffsetX,
|  | const std::optional< double > & | shadowOffsetY,
|  | const std::optional< long > & | qsFillColour,
|  | const std::optional< long > & | qsShadowColour,
|  | const std::optional< long > & | qsFillMatrix )

override virtual

Implements libvisio::VSDCollector.

## collectForeignData()

void libvisio::VSDStylesCollector::collectForeignData | ( | unsigned | level,
|  | const librevenge::RVNGBinaryData & | binaryData )

override virtual

Implements libvisio::VSDCollector.

## collectForeignDataType()

void libvisio::VSDStylesCollector::collectForeignDataType | ( | unsigned | level,
|  | unsigned | foreignType,
|  | unsigned | foreignFormat,
|  | double | offsetX,
|  | double | offsetY,
|  | double | width,
|  | double | height )

override virtual

Implements libvisio::VSDCollector.

## collectGeometry()

void libvisio::VSDStylesCollector::collectGeometry | ( | unsigned | id,
|  | unsigned | level,
|  | bool | noFill,
|  | bool | noLine,
|  | bool | noShow )

override virtual

Implements libvisio::VSDCollector.

## collectInfiniteLine()

void libvisio::VSDStylesCollector::collectInfiniteLine | ( | unsigned | id,
|  | unsigned | level,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2 )

override virtual

Implements libvisio::VSDCollector.

## collectLayer()

void libvisio::VSDStylesCollector::collectLayer | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDLayer & | layer )

override virtual

Implements libvisio::VSDCollector.

## collectLayerMem()

void libvisio::VSDStylesCollector::collectLayerMem | ( | unsigned | level,
|  | const VSDName & | layerMem )

override virtual

Implements libvisio::VSDCollector.

## collectLine()

void libvisio::VSDStylesCollector::collectLine | ( | unsigned | level,
|  | const std::optional< double > & | strokeWidth,
|  | const std::optional< Colour > & | c,
|  | const std::optional< unsigned char > & | linePattern,
|  | const std::optional< unsigned char > & | startMarker,
|  | const std::optional< unsigned char > & | endMarker,
|  | const std::optional< unsigned char > & | lineCap,
|  | const std::optional< double > & | rounding,
|  | const std::optional< long > & | qsLineColour,
|  | const std::optional< long > & | qsLineMatrix )

override virtual

Implements libvisio::VSDCollector.

## collectLineStyle()

void libvisio::VSDStylesCollector::collectLineStyle | ( | unsigned | level,
|  | const std::optional< double > & | strokeWidth,
|  | const std::optional< Colour > & | c,
|  | const std::optional< unsigned char > & | linePattern,
|  | const std::optional< unsigned char > & | startMarker,
|  | const std::optional< unsigned char > & | endMarker,
|  | const std::optional< unsigned char > & | lineCap,
|  | const std::optional< double > & | rounding,
|  | const std::optional< long > & | qsLineColour,
|  | const std::optional< long > & | qsLineMatrix )

override virtual

Implements libvisio::VSDCollector.

## collectLineTo()

void libvisio::VSDStylesCollector::collectLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y )

override virtual

Implements libvisio::VSDCollector.

## collectMetaData()

void libvisio::VSDStylesCollector::collectMetaData | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override virtual

Implements libvisio::VSDCollector.

## collectMisc()

void libvisio::VSDStylesCollector::collectMisc | ( | unsigned | level,
|  | const VSDMisc & | misc )

override virtual

Implements libvisio::VSDCollector.

## collectMoveTo()

void libvisio::VSDStylesCollector::collectMoveTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y )

override virtual

Implements libvisio::VSDCollector.

## collectName()

void libvisio::VSDStylesCollector::collectName | ( | unsigned | id,
|  | unsigned | level,
|  | const librevenge::RVNGBinaryData & | name,
|  | TextFormat | format )

override virtual

Implements libvisio::VSDCollector.

## collectNameList()

void libvisio::VSDStylesCollector::collectNameList | ( | unsigned | id,
|  | unsigned | level )

inline override virtual

Implements libvisio::VSDCollector.

## collectNumericField()

void libvisio::VSDStylesCollector::collectNumericField | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned short | format,
|  | unsigned short | cellType,
|  | double | number,
|  | int | formatStringId )

override virtual

Implements libvisio::VSDCollector.

## collectNURBSTo() [1/3]

void libvisio::VSDStylesCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | knot,
|  | double | knotPrev,
|  | double | weight,
|  | double | weightPrev,
|  | const NURBSData & | data )

override virtual

Implements libvisio::VSDCollector.

## collectNURBSTo() [2/3]

void libvisio::VSDStylesCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | knot,
|  | double | knotPrev,
|  | double | weight,
|  | double | weightPrev,
|  | unsigned | dataID )

override virtual

Implements libvisio::VSDCollector.

## collectNURBSTo() [3/3]

void libvisio::VSDStylesCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | unsigned | degree,
|  | const std::vector< std::pair< double, double > > & | ctrlPnts,
|  | const std::vector< double > & | kntVec,
|  | const std::vector< double > & | weights )

override virtual

Implements libvisio::VSDCollector.

## collectOLEData()

void libvisio::VSDStylesCollector::collectOLEData | ( | unsigned | id,
|  | unsigned | level,
|  | const librevenge::RVNGBinaryData & | oleData )

override virtual

Implements libvisio::VSDCollector.

## collectOLEList()

void libvisio::VSDStylesCollector::collectOLEList | ( | unsigned | id,
|  | unsigned | level )

inline override virtual

Implements libvisio::VSDCollector.

## collectPage()

void libvisio::VSDStylesCollector::collectPage | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | backgroundPageID,
|  | bool | isBackgroundPage,
|  | const VSDName & | pageName )

override virtual

Implements libvisio::VSDCollector.

## collectPageProps()

void libvisio::VSDStylesCollector::collectPageProps | ( | unsigned | id,
|  | unsigned | level,
|  | double | pageWidth,
|  | double | pageHeight,
|  | double | shadowOffsetX,
|  | double | shadowOffsetY,
|  | double | scale,
|  | unsigned char | drawingScaleUnit,
|  | const std::optional< unsigned > | variationColorIndex,
|  | const std::optional< unsigned > | variationStyleIndex )

override virtual

Implements libvisio::VSDCollector.

## collectPageSheet()

void libvisio::VSDStylesCollector::collectPageSheet | ( | unsigned | id,
|  | unsigned | level )

override virtual

Implements libvisio::VSDCollector.

## collectParaIX()

void libvisio::VSDStylesCollector::collectParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< double > & | indFirst,
|  | const std::optional< double > & | indLeft,
|  | const std::optional< double > & | indRight,
|  | const std::optional< double > & | spLine,
|  | const std::optional< double > & | spBefore,
|  | const std::optional< double > & | spAfter,
|  | const std::optional< unsigned char > & | align,
|  | const std::optional< unsigned char > & | bullet,
|  | const std::optional< VSDName > & | bulletStr,
|  | const std::optional< VSDName > & | bulletFont,
|  | const std::optional< double > & | bulletFontSize,
|  | const std::optional< double > & | textPosAfterBullet,
|  | const std::optional< unsigned > & | flags )

override virtual

Implements libvisio::VSDCollector.

## collectParaIXStyle()

void libvisio::VSDStylesCollector::collectParaIXStyle | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< double > & | indFirst,
|  | const std::optional< double > & | indLeft,
|  | const std::optional< double > & | indRight,
|  | const std::optional< double > & | spLine,
|  | const std::optional< double > & | spBefore,
|  | const std::optional< double > & | spAfter,
|  | const std::optional< unsigned char > & | align,
|  | const std::optional< unsigned char > & | bullet,
|  | const std::optional< VSDName > & | bulletStr,
|  | const std::optional< VSDName > & | bulletFont,
|  | const std::optional< double > & | bulletFontSize,
|  | const std::optional< double > & | textPosAfterBullet,
|  | const std::optional< unsigned > & | flags )

override virtual

Implements libvisio::VSDCollector.

## collectPolylineTo() [1/3]

void libvisio::VSDStylesCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | const PolylineData & | data )

override virtual

Implements libvisio::VSDCollector.

## collectPolylineTo() [2/3]

void libvisio::VSDStylesCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | const std::vector< std::pair< double, double > > & | points )

override virtual

Implements libvisio::VSDCollector.

## collectPolylineTo() [3/3]

void libvisio::VSDStylesCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned | dataID )

override virtual

Implements libvisio::VSDCollector.

## collectRelCubBezTo()

void libvisio::VSDStylesCollector::collectRelCubBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d )

override virtual

Implements libvisio::VSDCollector.

## collectRelEllipticalArcTo()

void libvisio::VSDStylesCollector::collectRelEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d )

override virtual

Implements libvisio::VSDCollector.

## collectRelLineTo()

void libvisio::VSDStylesCollector::collectRelLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y )

override virtual

Implements libvisio::VSDCollector.

## collectRelMoveTo()

void libvisio::VSDStylesCollector::collectRelMoveTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y )

override virtual

Implements libvisio::VSDCollector.

## collectRelQuadBezTo()

void libvisio::VSDStylesCollector::collectRelQuadBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b )

override virtual

Implements libvisio::VSDCollector.

## collectShape()

void libvisio::VSDStylesCollector::collectShape | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | parent,
|  | unsigned | masterPage,
|  | unsigned | masterShape,
|  | unsigned | lineStyle,
|  | unsigned | fillStyle,
|  | unsigned | textStyle,
|  | const VSDName & | aShapeType )

override virtual

Implements libvisio::VSDCollector.

## collectShapeData() [1/2]

void libvisio::VSDStylesCollector::collectShapeData | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | std::vector< std::pair< double, double > > | points )

override virtual

Implements libvisio::VSDCollector.

## collectShapeData() [2/2]

void libvisio::VSDStylesCollector::collectShapeData | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | unsigned | degree,
|  | double | lastKnot,
|  | std::vector< std::pair< double, double > > | controlPoints,
|  | std::vector< double > | knotVector,
|  | std::vector< double > | weights )

override virtual

Implements libvisio::VSDCollector.

## collectShapesOrder()

void libvisio::VSDStylesCollector::collectShapesOrder | ( | unsigned | id,
|  | unsigned | level,
|  | const std::vector< unsigned > & | shapeIds )

override virtual

Implements libvisio::VSDCollector.

## collectSplineEnd()

void libvisio::VSDStylesCollector::collectSplineEnd | ( |  | ) |

override virtual

Implements libvisio::VSDCollector.

## collectSplineKnot()

void libvisio::VSDStylesCollector::collectSplineKnot | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | knot )

override virtual

Implements libvisio::VSDCollector.

## collectSplineStart()

void libvisio::VSDStylesCollector::collectSplineStart | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | secondKnot,
|  | double | firstKnot,
|  | double | lastKnot,
|  | unsigned | degree )

override virtual

Implements libvisio::VSDCollector.

## collectStyleSheet()

void libvisio::VSDStylesCollector::collectStyleSheet | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | parentLineStyle,
|  | unsigned | parentFillStyle,
|  | unsigned | parentTextStyle )

override virtual

Implements libvisio::VSDCollector.

## collectTabsDataList()

void libvisio::VSDStylesCollector::collectTabsDataList | ( | unsigned | level,
|  | const std::map< unsigned, VSDTabSet > & | tabSets )

override virtual

Implements libvisio::VSDCollector.

## collectText()

void libvisio::VSDStylesCollector::collectText | ( | unsigned | level,
|  | const librevenge::RVNGBinaryData & | textStream,
|  | TextFormat | format )

override virtual

Implements libvisio::VSDCollector.

## collectTextBlock()

void libvisio::VSDStylesCollector::collectTextBlock | ( | unsigned | level,
|  | const std::optional< double > & | leftMargin,
|  | const std::optional< double > & | rightMargin,
|  | const std::optional< double > & | topMargin,
|  | const std::optional< double > & | bottomMargin,
|  | const std::optional< unsigned char > & | verticalAlign,
|  | const std::optional< bool > & | isBgFilled,
|  | const std::optional< Colour > & | bgColour,
|  | const std::optional< double > & | defaultTabStop,
|  | const std::optional< unsigned char > & | textDirection )

override virtual

Implements libvisio::VSDCollector.

## collectTextBlockStyle()

void libvisio::VSDStylesCollector::collectTextBlockStyle | ( | unsigned | level,
|  | const std::optional< double > & | leftMargin,
|  | const std::optional< double > & | rightMargin,
|  | const std::optional< double > & | topMargin,
|  | const std::optional< double > & | bottomMargin,
|  | const std::optional< unsigned char > & | verticalAlign,
|  | const std::optional< bool > & | isBgFilled,
|  | const std::optional< Colour > & | bgColour,
|  | const std::optional< double > & | defaultTabStop,
|  | const std::optional< unsigned char > & | textDirection )

override virtual

Implements libvisio::VSDCollector.

## collectTextField()

void libvisio::VSDStylesCollector::collectTextField | ( | unsigned | id,
|  | unsigned | level,
|  | int | nameId,
|  | int | formatStringId )

override virtual

Implements libvisio::VSDCollector.

## collectTxtXForm()

void libvisio::VSDStylesCollector::collectTxtXForm | ( | unsigned | level,
|  | const XForm & | txtxform )

override virtual

Implements libvisio::VSDCollector.

## collectUnhandledChunk()

void libvisio::VSDStylesCollector::collectUnhandledChunk | ( | unsigned | id,
|  | unsigned | level )

override virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList(), and collectOLEList().

## collectXFormData()

void libvisio::VSDStylesCollector::collectXFormData | ( | unsigned | level,
|  | const XForm & | xform )

override virtual

Implements libvisio::VSDCollector.

## endPage()

void libvisio::VSDStylesCollector::endPage | ( |  | ) |

override virtual

Implements libvisio::VSDCollector.

## endPages()

void libvisio::VSDStylesCollector::endPages | ( |  | ) |

inline override virtual

Implements libvisio::VSDCollector.

## getStyleSheets()

const VSDStyles & libvisio::VSDStylesCollector::getStyleSheets | ( |  | ) | const

inline

Referenced by libvisio::VDXParser::parseMain(), libvisio::VSDParser::parseMain(), and libvisio::VSDXParser::parseMain().

## getvariationColorIndex()

const std::optional< unsigned > & libvisio::VSDStylesCollector::getvariationColorIndex | ( |  | ) | const

inline

Referenced by libvisio::VDXParser::parseMain(), libvisio::VSDParser::parseMain(), and libvisio::VSDXParser::parseMain().

## getvariationStyleIndex()

const std::optional< unsigned > & libvisio::VSDStylesCollector::getvariationStyleIndex | ( |  | ) | const

inline

Referenced by libvisio::VDXParser::parseMain(), libvisio::VSDParser::parseMain(), and libvisio::VSDXParser::parseMain().

## operator=()

VSDStylesCollector & libvisio::VSDStylesCollector::operator= | ( | const VSDStylesCollector & |  | ) |

private

## startPage()

void libvisio::VSDStylesCollector::startPage | ( | unsigned | pageID | ) |

override virtual

Implements libvisio::VSDCollector.

## Member Data Documentation

## m_currentLevel

unsigned libvisio::VSDStylesCollector::m_currentLevel

private

Referenced by _handleLevelChange(), and VSDStylesCollector().

## m_currentShapeId

unsigned libvisio::VSDStylesCollector::m_currentShapeId

private

Referenced by _flushShapeList(), collectShape(), collectXFormData(), and VSDStylesCollector().

## m_currentShapeLevel

unsigned libvisio::VSDStylesCollector::m_currentShapeLevel

private

Referenced by _handleLevelChange(), collectPageSheet(), collectShape(), and VSDStylesCollector().

## m_currentStyleSheet

unsigned libvisio::VSDStylesCollector::m_currentStyleSheet

private

Referenced by VSDStylesCollector().

## m_documentPageShapeOrders

std::vector<std::list<unsigned> >& libvisio::VSDStylesCollector::m_documentPageShapeOrders

private

Referenced by endPage(), and VSDStylesCollector().

## m_groupMemberships

std::map<unsigned, unsigned> libvisio::VSDStylesCollector::m_groupMemberships

private

Referenced by collectShape(), endPage(), startPage(), and VSDStylesCollector().

## m_groupMembershipsSequence

std::vector<std::map<unsigned, unsigned> >& libvisio::VSDStylesCollector::m_groupMembershipsSequence

private

Referenced by endPage(), and VSDStylesCollector().

## m_groupShapeOrder

std::map<unsigned, std::list<unsigned> > libvisio::VSDStylesCollector::m_groupShapeOrder

private

Referenced by _flushShapeList(), endPage(), startPage(), and VSDStylesCollector().

## m_groupXForms

std::map<unsigned, XForm> libvisio::VSDStylesCollector::m_groupXForms

private

Referenced by collectXFormData(), endPage(), startPage(), and VSDStylesCollector().

## m_groupXFormsSequence

std::vector<std::map<unsigned, XForm> >& libvisio::VSDStylesCollector::m_groupXFormsSequence

private

Referenced by endPage(), and VSDStylesCollector().

## m_isShapeStarted

bool libvisio::VSDStylesCollector::m_isShapeStarted

private

Referenced by _flushShapeList(), _handleLevelChange(), collectShape(), collectXFormData(), and VSDStylesCollector().

## m_pageShapeOrder

std::list<unsigned> libvisio::VSDStylesCollector::m_pageShapeOrder

private

Referenced by _flushShapeList(), endPage(), startPage(), and VSDStylesCollector().

## m_shadowOffsetX

double libvisio::VSDStylesCollector::m_shadowOffsetX

private

Referenced by VSDStylesCollector().

## m_shadowOffsetY

double libvisio::VSDStylesCollector::m_shadowOffsetY

private

Referenced by VSDStylesCollector().

## m_shapeList

std::list<unsigned> libvisio::VSDStylesCollector::m_shapeList

private

Referenced by _flushShapeList(), collectShapesOrder(), and VSDStylesCollector().

## m_styles

VSDStyles libvisio::VSDStylesCollector::m_styles

private

Referenced by getStyleSheets(), and VSDStylesCollector().

## m_variationColorIndex

std::optional<unsigned> libvisio::VSDStylesCollector::m_variationColorIndex

private

Referenced by collectPageProps(), getvariationColorIndex(), and VSDStylesCollector().

## m_variationStyleIndex

std::optional<unsigned> libvisio::VSDStylesCollector::m_variationStyleIndex

private

Referenced by collectPageProps(), getvariationStyleIndex(), and VSDStylesCollector().

The documentation for this class was generated from the following files:

- VSDStylesCollector.h
- VSDStylesCollector.cpp